> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/users > Create a new user account with profile information. Assigns to specified group or default read-only group. Handles both IDP and non-IDP configured enterprises. ## OpenAPI ````json PUT /v1/users { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/users": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1UsersPutRequest" } } } }, "responses": { "204": { "description": "No Content" } }, "description": "Create a new user account with profile information. Assigns to specified group or default read-only group. Handles both IDP and non-IDP configured enterprises." } } }, "components": { "schemas": { "v1UsersPutRequest": { "type": "object", "properties": { "email": { "type": "string", "example": "example string", "description": " (required)" }, "firstName": { "type": "string", "example": "example string", "description": " (required)" }, "groupId": { "type": "string", "example": "example string" }, "lastName": { "type": "string", "example": "example string", "description": " (required)" }, "timeZone": { "type": "string", "example": "example string" } }, "additionalProperties": false, "required": [ "email", "firstName", "lastName" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````